Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.phonon
Class Phonon.ObjectDescriptionType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.phonon.Phonon.ObjectDescriptionType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  Phonon

    public static final class Phonon.ObjectDescriptionType

extends java.lang.Enum
implements QtEnumerator

This enum defines the type of information that is contained in a ObjectDescription object.

See Also:
  Serialized Form

Field Summary
`static Phonon.ObjectDescriptionType` | `AudioOutputDeviceType` An audio output device (AudioOutputDevice).
`static Phonon.ObjectDescriptionType` | `EffectType` An audio effect (EffectDescription).

Method Summary
`static Phonon.ObjectDescriptionType` | `resolve(int value)` Returns the Phonon$ObjectDescriptionType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Phonon.ObjectDescriptionType` | `valueOf(java.lang.String name)`
`static Phonon.ObjectDescriptionType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### AudioOutputDeviceType

    public static final Phonon.ObjectDescriptionType AudioOutputDeviceType

  An audio output device (AudioOutputDevice). This can be soundcards (with different drivers), sound servers, or other virtual outputs like playback on a different computer on the network.

### EffectType

    public static final Phonon.ObjectDescriptionType EffectType

  An audio effect (EffectDescription).

Method Detail

### values

    public static Phonon.ObjectDescriptionType[] values()

### valueOf

    public static Phonon.ObjectDescriptionType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Phonon.ObjectDescriptionType resolve(int value)

  Returns the Phonon$ObjectDescriptionType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD